Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.makumba.providers.query.oql
Class AnalysisTree

    java.lang.Object
      org.makumba.providers.query.oql.AnalysisTree

Direct Known Subclasses:
  AdditiveTree, ComparisonTree, InTree

    public class AnalysisTree

extends Object

Field Summary
`static int` | `ADD`
`static int` | `AND`
`static int` | `ASIM_COMP`
`static int` | `CONCAT`
`static int` | `EXCEPT`
`static int` | `IN`
`static int` | `INTERSECT`
`(package private) OQLAST` | `leaf`
`(package private) AnalysisTree` | `left`
`static int` | `LIKE`
`(package private) Object` | `makumbaType`
`static int` | `MUL`
`(package private) int` | `op`
`static int` | `OR`
`(package private) AnalysisTree` | `right`
`static int` | `SIM_COMP`
`static int` | `UNION`

Constructor Summary
`AnalysisTree(Object left, int op, Object right)`
`AnalysisTree(OQLAST leaf)`

Method Summary
`(package private) void` | `adjustType(AnalysisTree t1, AnalysisTree t2)`
`void` | `checkOperandTypes()`
`void` | `checkOperandTypes(Object t1, Object t2)`
`void` | `computeType()`
`Object` | `computeTypeFromOperands()`
`Object` | `getMakumbaType()`
`(package private) AnalysisTree` | `getTree(Object o)`
`Object` | `guessParameterType()`
`Object` | `guessParameterType(Object otherOperandType)`
`void` | `negociateOperandTypes(Object t1, Object t2)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### OR

    public static final int OR

See Also:
  Constant Field Values

### AND

    public static final int AND

See Also:
  Constant Field Values

### SIM_COMP

    public static final int SIM_COMP

See Also:
  Constant Field Values

### ASIM_COMP

    public static final int ASIM_COMP

See Also:
  Constant Field Values

### LIKE

    public static final int LIKE

See Also:
  Constant Field Values

### ADD

    public static final int ADD

See Also:
  Constant Field Values

### MUL

    public static final int MUL

See Also:
  Constant Field Values

### CONCAT

    public static final int CONCAT

See Also:
  Constant Field Values

### UNION

    public static final int UNION

See Also:
  Constant Field Values

### EXCEPT

    public static final int EXCEPT

See Also:
  Constant Field Values

### INTERSECT

    public static final int INTERSECT

See Also:
  Constant Field Values

### IN

    public static final int IN

See Also:
  Constant Field Values

### leaf

    OQLAST leaf

### makumbaType

    Object makumbaType

### op

    int op

### left

    AnalysisTree left

### right

    AnalysisTree right

Constructor Detail

### AnalysisTree

    public AnalysisTree(OQLAST leaf)

### AnalysisTree

    public AnalysisTree(Object left,
                        int op,
                        Object right)

Method Detail

### getTree

    AnalysisTree getTree(Object o)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getMakumbaType

    public Object getMakumbaType()
                          throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### computeType

    public void computeType()
                     throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### adjustType

    void adjustType(AnalysisTree t1,
                    AnalysisTree t2)

### computeTypeFromOperands

    public Object computeTypeFromOperands()

### guessParameterType

    public Object guessParameterType(Object otherOperandType)

### guessParameterType

    public Object guessParameterType()

### checkOperandTypes

    public void checkOperandTypes()
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### checkOperandTypes

    public void checkOperandTypes(Object t1,
                                  Object t2)
                           throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

### negociateOperandTypes

    public void negociateOperandTypes(Object t1,
                                      Object t2)
                               throws antlr.RecognitionException

  Throws:
    `antlr.RecognitionException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Docs generated on 2009-02-25 14:20